Name: 	 	onestroke
Summary: 	Gesture recognition for tablet PC's
Version: 	0.8.4
Release: 	%mkrel 12

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		http://risujin.org/onestroke/
Patch0:		onestroke-0.8.4-linking.patch
Patch1:		onestroke-0.8.4-buildfix.patch
License:	GPLv2+
Group:		Accessibility
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q
%autopatch -p1

chmod 644 README *.png *.desktop

%build
%set_build_flags
CFLAGS="%{optflags} -fcommon"
%make_build

%install
%make_install

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}-0.8
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Jun 28 2020 joequant <joequant> 0.8.4-12.mga8
+ Revision: 1599788
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.8.4-11.mga8
+ Revision: 1515688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.8.4-10.mga7
+ Revision: 1299968
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 0.8.4-9.mga6
+ Revision: 956511
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.8.4-8.mga6
+ Revision: 893665
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8.4-7.mga5
+ Revision: 744702
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-6.mga5
+ Revision: 683177
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 fwang <fwang> 0.8.4-5.mga5
+ Revision: 665889
- cleanup category

* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-4.mga4
+ Revision: 508656
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.4-3.mga3
+ Revision: 361861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-2.mga3
+ Revision: 336024
- redo linking patch
- use our compile flags
- add patch to fix install
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 0.8.4-1.mga1
+ Revision: 82967
- Remove mdv macros
- imported package onestroke

